diff runbootstrap.sh @ 2553:b21123d5a693

test scripts: use JDK7 env var, check all required vars
author Lukas Stadler <lukas.stadler@jku.at>
date Thu, 28 Apr 2011 13:17:23 +0200
parents 34b5eea9b001
children 5af7b38be963
line wrap: on
line diff
--- a/runbootstrap.sh	Thu Apr 28 10:40:49 2011 +0200
+++ b/runbootstrap.sh	Thu Apr 28 13:17:23 2011 +0200
@@ -1,2 +1,19 @@
 #!/bin/bash
-${GRAAL}/java64/bin/java -client -graal -version
+if [ -z "${JDK7}" ]; then
+  echo "JDK7 is not defined."
+  exit 1;
+fi
+if [ -z "${JDK7G}" ]; then
+  echo "JDK7G is not defined."
+  exit 1;
+fi
+if [ -z "${MAXINE}" ]; then
+  echo "MAXINE is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
+if [ -z "${GRAAL}" ]; then
+  echo "GRAAL is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
+${JDK7}/bin/java -client -graal -version
+${JDK7G}/bin/java -client -graal -version